#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           plasma5support
Version: 6.3.1
Release:        %mkrel %rel
Summary:        Support components for porting from KF5/Qt5 to KF6/Qt6
License:        CC0-1.0 LGPL-2.0+ LGPL-2.1 LGPL-3.0
Group:          System/Libraries
URL:            https://invent.kde.org/plasma/plasma5support
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros
BuildRequires:  doxygen

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickTest)
BuildRequires:  cmake(Qt6ToolsTools)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6IdleTime)
BuildRequires:  cmake(KF6KIO)

BuildRequires:  cmake(KSysGuard)
BuildRequires:  cmake(KF6NetworkManagerQt)
BuildRequires:  cmake(PlasmaActivities)

BuildRequires:  pkgconfig(libgps)

#kded5[1875]: org.kde.plasma.dataengine.geolocation: gpsd not found
Requires:       gpsd

# ease upgrade
Conflicts:      plasma-workspace < 6.2.90


%description
Migration aids for KF5 -> KF6 migration.

%files -f %{name}.lang
%_kf6_categoriesdir/plasma5support.*
%_kf6_datadir/plasma5support/
%_kf6_qmldir/org/kde/plasma/plasma5support/
%_qt6_plugindir/plasma5support/

#--------------------------------------------------------------------

%define plasmageolocation_major 6
%define libplasmageolocation    %mklibname plasma-geolocation-interface %{plasmageolocation_major}

%package -n %{libplasmageolocation}
Summary:        Plasma Geolocation Interface components library
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %{libplasmageolocation}
Plasma Geolocation Interface components library.

%files -n %{libplasmageolocation}
%_kf6_libdir/libplasma-geolocation-interface.so.%{plasmageolocation_major}
%_kf6_libdir/libplasma-geolocation-interface.so.%{version}

#--------------------------------------------------------------------

%define plasma5support_major 6
%define libplasma5support    %mklibname plasma5support %{plasma5support_major}

%package -n %{libplasma5support}
Summary:        Support components for porting from KF5/Qt5 to KF6/Qt6
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %{libplasma5support}
Migration aids for KF5 -> KF6 migration.

%files -n %{libplasma5support}
%_kf6_libdir/libPlasma5Support.so.%{plasma5support_major}
%_kf6_libdir/libPlasma5Support.so.%{version}

#--------------------------------------------------------------------

%define plasma5support_devel %mklibname plasma5support -d

%package -n %{plasma5support_devel}
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %{libplasmageolocation} = %{version}-%{release}
Requires:       %{libplasma5support} = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %{plasma5support_devel}
This package contains header files needed if you wish to build applications
based on %name.

%files -n %{plasma5support_devel}
%_includedir/Plasma5Support/
%dir %_includedir/plasma
%_includedir/plasma/geolocation/
%_kf6_libdir/cmake/Plasma5Support/
%_kf6_libdir/libPlasma5Support.so
%_kf6_libdir/libplasma-geolocation-interface.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name --with-qt --with-html


%changelog
* Tue Feb 18 2025 daviddavid <daviddavid> 6.3.1-1.mga10
+ Revision: 2149400
- New version 6.3.1

* Tue Feb 11 2025 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2146926
- New version 6.3.0

* Thu Jan 23 2025 daviddavid <daviddavid> 6.2.91-1.mga10
+ Revision: 2140825
- New version 6.2.91

* Fri Jan 17 2025 daviddavid <daviddavid> 6.2.90-2.mga10
+ Revision: 2139430
- fix conflicting files to ease upgrade
- add missing runtime dependency on gpsd

* Wed Jan 15 2025 daviddavid <daviddavid> 6.2.90-1.mga10
+ Revision: 2138991
- New version 6.2.90

* Wed Jan 01 2025 daviddavid <daviddavid> 6.2.5-1.mga10
+ Revision: 2134184
- New version 6.2.5

* Tue Nov 26 2024 daviddavid <daviddavid> 6.2.4-1.mga10
+ Revision: 2119058
- New version 6.2.4

* Sat Nov 09 2024 daviddavid <daviddavid> 6.2.3-1.mga10
+ Revision: 2113168
- New version 6.2.3

* Tue Oct 22 2024 daviddavid <daviddavid> 6.2.2-1.mga10
+ Revision: 2110050
- New version 6.2.2

* Wed Oct 16 2024 daviddavid <daviddavid> 6.2.1-1.mga10
+ Revision: 2107225
- New version 6.2.1

* Wed Oct 09 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2104455
- New version 6.2.0

* Tue Sep 17 2024 daviddavid <daviddavid> 6.1.90-2.mga10
+ Revision: 2097568
- add conflicts to ease upgrade

* Thu Sep 12 2024 neoclust <neoclust> 6.1.90-1.mga10
+ Revision: 2095403
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 6.1.4-1.mga10
+ Revision: 2083917
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079125
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076723
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2074832
- New version 6.1.0

* Sat Jun 08 2024 neoclust <neoclust> 6.0.90-1.mga10
+ Revision: 2070938
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057890
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052489
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049403
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048152
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2045010
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2036799
- New version 5.93.0

* Thu Jan 11 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2030080
- New version 5.92.0

* Mon Jan 01 2024 neoclust <neoclust> 5.91.0-1.mga10
+ Revision: 2025699
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Sun Nov 12 2023 daviddavid <daviddavid> 5.27.80-1.mga10
+ Revision: 2006363
- initial package plasma5support

